<?php

/*
Plugin Name: FollowMe
Plugin URI: http://wpburn.com/wordpress-plugins/wp-followme-plugin
Description: WP FollowMe is a wordpress plugin that allow you to add a twitter "Follow me" badge on your wordpress blog.
Author: WPburn.com
Version: 0.1.3
Author URI: http://wpburn.com
*/

/**
* FollowMe WordPress Plugin
*/



/////////////////////////////////////////////////////////////////////////////

if (!defined('ABSPATH')) {
	return ;
	}

if (!class_exists('followme')) {

/////////////////////////////////////////////////////////////////////////////

/**
* "followme" WordPress Plugin
*/
Class followme {

	// -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 

	function init() {

		// attach the handler
		//
		add_action('wp_head',
			array('followme', 'wp_head'));
		add_action('wp_footer',
			array('followme', 'wp_footer'));


		// attach to admin menu
		//
		if (is_admin()) {
			add_action('admin_menu',
				array('followme', '_menu')
				);
			}
		
		// attach to plugin installation
		//
		register_activation_hook(
			__FILE__,
			array('followme', 'install')
			);

		// plugin updated, upgrade it
		//
		if (version_compare(followme::version(), get_option('followme_version')) > 0) {
			followme::install();
			}
		}
	
	// -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 

	function wp_head() {
		return followme::followmerize(__FUNCTION__);
		}

	function wp_footer() {
		return followme::followmerize(__FUNCTION__);
		}


	function followmerize($tag) {
		$followme_settings = (array) get_option('followme_settings');
		if (isset($followme_settings['snippets'][$tag])) {
			echo $followme_settings['snippets'][$tag];
			}
		}

	// -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 


	function install() {

		// settings
		//
$plug_url = plugins_url('wp-followme/followme-style.css');
$header_cont = '<link href="'.$plug_url.'" rel="stylesheet" type="text/css" />';
		$followme_settings = array(
			'snippets' => array(
				'wp_head' => $header_cont,
				'wp_footer' => '<div class="followme_r"><div class="followme" style="background-color:#59B7FF" onclick="window.open(\'http://twitter.com/wpburn\')"><noscript><center>JS<br />is<br />off</center></noscript></div><div class="ili_right" onclick="window.open(\'http://wpburn.com/wordpress-plugins/wp-followme-plugin\')" ><noscript><a href="http://wpburn.com/wordpress-plugins/wp-followme-plugin">Get it</a></noscript></div><div class="ili_left" onclick="window.open(\'http://wpburn.com/wordpress-plugins/wp-followme-plugin\')" ><noscript><a href="http://wpburn.com/wordpress-plugins/wp-followme-plugin">Get it</a></noscript></div></div>',
				'culoare' => '59B7FF',
				'twitteracc' => 'wpburn',
				'margintop' => '150',
				'leftright' => '_r',
				'followmeus' => 'followme'
				)
			);
		
		if ($old_followme_settings = get_option('followme_settings')) {
			update_option(
				'followme_settings', array_merge(
					$followme_settings,
					$old_followme_settings
					)
				);
			} else {
			add_option(
				'followme_settings', $followme_settings
				);
			}

		// version
		//
		if (get_option('followme_version')) {
			update_option(
				'followme_version', followme::version()
				);
			} else {
			add_option(
				'followme_version', followme::version(), ' ', 'no'
				);
			}
		}

	// -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
	

	function _menu() {
		add_submenu_page('options-general.php',
			 'followme: FollowMe Settings',
			 'FollowMe Settings', 8,
			 __FILE__,
			 array('followme', 'menu')
			);
		}
		

	function menu() {

		// sanitize referrer
		//
		$_SERVER['HTTP_REFERER'] = preg_replace(
			'~&saved=.*$~Uis','', $_SERVER['HTTP_REFERER']
			);
		
		// information updated ?
		//
		if ($_POST['submit']) {

			$_ = $_POST['followme_settings'];
			$_['snippets'] = array_map('stripCSlashes', $_['snippets']);
			
			// save
			//
			update_option(
				'followme_settings',
				$_
				);

			die("<script>document.location.href = '{$_SERVER['HTTP_REFERER']}&saved=settings:" . time() . "';</script>");
			}

		// operation report detected
		//
		if (@$_GET['saved']) {
			
			list($saved, $ts) = explode(':', $_GET['saved']);
			if (time() - $ts < 10) {
				echo '<div class="updated"><p>';
	
				switch ($saved) {
					case 'settings' :
						echo 'Settings saved.';
						break;
					}
	
				echo '</p></div>';
				}
			}

		// read the settings
		//
		$followme_settings = (array) get_option('followme_settings');

?>

<script language="javascript" type="text/javascript">
function checkwitchischecked(){
if(document.getElementById("sidecheckphp").value == "_l"){
	document.getElementById("leftright_l").checked = true;
	}else{
		document.getElementById("leftright_r").checked = true;
		}
	}
	
function checkwitchischeckedtwitter(){
if(document.getElementById("twittercheckphp").value == "followus"){
	document.getElementById("followmeus_us").checked = true;
	}else{
		document.getElementById("followmeus_me").checked = true;
		}
	}
	
function followme_me_check(){
	var followmeus_me_js = document.getElementById("followmeus_me");
	if (followmeus_me_js.checked = true){
		twitterascrie = "followme";
		document.getElementById("twittercheckphp").value ="followme";
		}
	}
function followme_us_check(){
	var followmeus_us_js = document.getElementById("followmeus_us");
	if (followmeus_us_js.checked = true){
		twitterascrie = "followus";
		document.getElementById("twittercheckphp").value ="followus";
		}
	}
	
function lsidecheck(){
	var leftside_js = document.getElementById("leftright_l");
	if (leftside_js.checked = true){
		sidescrie = "_l";
		document.getElementById("sidecheckphp").value ="_l";
		}
	}
function rsidecheck(){
	var rightside_js = document.getElementById("leftright_r");
	if (rightside_js.checked = true){
		sidescrie = "_r";
		document.getElementById("sidecheckphp").value ="_r";
		}
	}

function followme_update() {
	ilimarginf = document.getElementById("margintop").value;
	ilimargin =  parseFloat(ilimarginf) + 117;
	margintop_js = document.getElementById("margintop").value;
	twitterascrie = document.getElementById("twittercheckphp").value;
	sidescrie = document.getElementById("sidecheckphp").value;
	div_class = twitterascrie + sidescrie;
	var partea1 = '<div class="' + div_class + '"><div class="followme" style="background-color:#';
	var partea2 = document.getElementById("culoare").value + '; top:' + margintop_js + 'px;' ;
	var partea3 = '" onclick="window.open(\'http://twitter.com/';
	var twitter_username =  document.getElementById("twitteracc").value;									  
	var partea4 = '\')">';
	var partea5 = '<noscript><center>JS<br />is<br />off</center></noscript></div><div class="ili_right" style="top:' + ilimargin + 'px;" onclick="window.open(\'http://wpburn.com/wordpress-plugins/wp-followme-plugin\')" ><noscript><a href="http://wpburn.com/wordpress-plugins/wp-followme-plugin">Get it</a></noscript></div><div class="ili_left" style="top:' + ilimargin + 'px;"  onclick="window.open(\'http://wpburn.com/wordpress-plugins/wp-followme-plugin\')" ><noscript><a href="http://wpburn.com/wordpress-plugins/wp-followme-plugin">Get it</a></noscript></div></div>';
	followme_all_options = partea1 + partea2 + partea3 + twitter_username + partea4 + partea5;
	document.getElementById("followme_footer_options").value = followme_all_options;
	
}
function set_color(val){
	var culoare_get = val;
	document.getElementById("culoare").value = val;
	followme_update();
	}
</script>
<script src="<?php echo plugins_url('wp-followme/jscolor.js');?>" type="text/javascript"></script>
<div class="wrap">
	<h2>FollowMe</h2>
	<p>
<h3>Settings for FollowMe badge</h3>
	</p>
<br />
	<form method="post" name="followme_form" action="<?php $_SERVER['php_self']  ?>">




<label><strong>Set badge color :</strong></label>
<input autocomplete="off" class="color" name="followme_settings[snippets][culoare]" id="culoare" type="text" value="<?php echo $followme_settings['snippets']['culoare']; ?>" onchange="followme_update();" />
<span style="font-size:0.9em; color:#666">(click on the text field to set another color)</span>


<br /><br />
<label><strong>Your twitter account :</strong></label> 
<input name="followme_settings[snippets][twitteracc]" id="twitteracc" type="text" value="<?php echo $followme_settings['snippets']['twitteracc']; ?>" onchange="followme_update();" />
<br /><br />
<label><strong>Distance from top (in pixels) :</strong></label> 
<input name="followme_settings[snippets][margintop]" id="margintop" type="text" value="<?php echo $followme_settings['snippets']['margintop']; ?>" onchange="followme_update();" /> px
<br /><br />
<label><strong>Text (Follow me/Follow us):</strong></label> 
  <label>
    <input type="radio" name="followmeus_bun" value="followme" id="followmeus_me" onchange="followme_me_check(); followme_update();" />
    Follow me</label>
  <label>
    <input type="radio" name="followmeus_bun" value="followus" id="followmeus_us" onchange="followme_us_check(); followme_update();" />
    Follow us</label>
  <br /><br />
  
<label><strong>Side:</strong></label> 
  <label>
    <input type="radio" name="sidebun" value="_l" id="leftright_l" onchange="lsidecheck(); followme_update();" />
    Left</label>
  <label>
    <input type="radio" name="sidebun" value="_r" id="leftright_r" onchange="rsidecheck(); followme_update();" />
    Right</label>
  <br />

  <textarea style="display:none;" name="followme_settings[snippets][wp_head]" cols="15" rows="1" id="wp_head_html"><link href="<?php echo plugins_url('wp-followme/followme-style.css');?>" rel="stylesheet" type="text/css" /></textarea>
            
       
		<textarea style="display:none;" name="followme_settings[snippets][wp_footer]" cols="50" rows="10" id="followme_footer_options"><?php echo $followme_settings['snippets']['wp_footer']; ?></textarea>
		<input style="display:none;" name="followme_settings[snippets][leftright]" id="sidecheckphp" type="text" value="<?php echo $followme_settings['snippets']['leftright']; ?>" />
        <input style="display:none;" name="followme_settings[snippets][followmeus]" id="twittercheckphp" type="text" value="<?php echo $followme_settings['snippets']['followmeus']; ?>" />
        

     
  <p class="submit" style="text-align:left;"><input onclick="followme_update();" type="submit" name="submit" value="Save &raquo;"  /></p>
        <p><input style="background-color:#59B7FF" name="submit" type="submit" value="Use the default color!" onclick="set_color('59B7FF'); followme_update();"/></p>
	</form>
    
 <script language="javascript" type="text/javascript">
 checkwitchischeckedtwitter();
 checkwitchischecked();
 </script>  
</div>
<?php
		}

	// -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 

	Function version() {
		if (preg_match('~Version\:\s*(.*)\s*~i', file_get_contents(__FILE__), $R)) {
			return trim($R[1]);
			}
		return '$Rev: 40918 $';
		}
	
	// -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 

	//--end-of-class
	}

}

/////////////////////////////////////////////////////////////////////////////


followme::init();

/////////////////////////////////////////////////////////////////////////////


?>